Skip to main content
GET
/
api
/
v1
/
sink-items
/
{id}
Get Sink Item
curl --request GET \
  --url https://api.opensink.com/api/v1/sink-items/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sink_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "body": "<string>",
  "type": "<string>",
  "url": "<string>",
  "fields": {},
  "occurred_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.opensink.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

Sink Item ID

Response

An item collected by a sink

An item collected by a sink

id
string<uuid>

Unique identifier

sink_id
string<uuid>

Parent sink ID

workspace_id
string<uuid>

Workspace ID

title
string

Item title

Required string length: 1 - 255
body
string | null

Item body/content

type
string | null

Item type

Maximum string length: 255
url
string | null

Associated URL

Maximum string length: 2048
fields
object

Custom fields

occurred_at
string<date-time> | null

When the event occurred

created_at
string<date-time>

Creation timestamp

updated_at
string<date-time>

Last update timestamp